﻿<?xml version="1.0"?>
<configuration>
	<configSections>
		<section name="lightSpeedContexts" type="Mindscape.LightSpeed.Configuration.LightSpeedConfigurationSection, Mindscape.LightSpeed" />
	</configSections>
	<lightSpeedContexts default="DataCore">
		<add name="DataCore" connectionStringName="SQLServerDataCore" dataProvider="SqlServer2008" identityMethod="KeyTable" quoteIdentifiers="true" loggerClass="Mindscape.LightSpeed.Logging.TraceLogger, Mindscape.LightSpeed" />
		<add name="DataReporting" connectionStringName="SQLServerDataReporting" dataProvider="SqlServer2008" identityMethod="KeyTable" quoteIdentifiers="true" loggerClass="Mindscape.LightSpeed.Logging.TraceLogger, Mindscape.LightSpeed" />
		<add name="Log" connectionStringName="SQLServerLog" dataProvider="SqlServer2008" identityMethod="KeyTable" quoteIdentifiers="true" />
		<add name="Configuration" connectionStringName="SQLServerConfiguration" dataProvider="SqlServer2008" identityMethod="IdentityColumn" quoteIdentifiers="true" loggerClass="Mindscape.LightSpeed.Logging.TraceLogger, Mindscape.LightSpeed" />
		<add name="Library" connectionStringName="SQLServerLibrary" dataProvider="SqlServer2008" identityMethod="IdentityColumn" quoteIdentifiers="true" loggerClass="Mindscape.LightSpeed.Logging.TraceLogger, Mindscape.LightSpeed" />
		<add name="MessageBus" connectionStringName="SQLServerMessageBus" dataProvider="SqlServer2008" identityMethod="IdentityColumn" quoteIdentifiers="true" loggerClass="Mindscape.LightSpeed.Logging.TraceLogger, Mindscape.LightSpeed" />
    <add name="Report" connectionStringName="SQLServerReport" dataProvider="SqlServer2008" identityMethod="KeyTable" quoteIdentifiers="true" loggerClass="Mindscape.LightSpeed.Logging.TraceLogger, Mindscape.LightSpeed" />
  </lightSpeedContexts>
	<connectionStrings>
		<clear />
    <add name="SQLServerDataCore" connectionString="Data Source=BOSDEMSVR008;Initial Catalog=FocusDev;User ID=FocusAgent;Password=M4rth44g3nt" />
    <add name="SQLServerDataReporting" connectionString="Data Source=BOSDEMSVR008;Initial Catalog=FocusDev;User ID=FocusAgent;Password=M4rth44g3nt" />
    <add name="SQLServerLog" connectionString="Data Source=BOSDEMSVR008;Initial Catalog=FocusDev;User ID=FocusAgent;Password=M4rth44g3nt" />
    <add name="SQLServerConfiguration" connectionString="Data Source=BOSDEMSVR008;Initial Catalog=FocusDev;User ID=FocusAgent;Password=M4rth44g3nt" />
    <add name="SQLServerLibrary" connectionString="Data Source=BOSDEMSVR008;Initial Catalog=FocusDev;User ID=FocusAgent;Password=M4rth44g3nt" />
    <add name="SQLServerMessageBus" connectionString="Data Source=BOSDEMSVR008;Initial Catalog=FocusDev;User ID=FocusAgent;Password=M4rth44g3nt;Application Name=MessageBus" />
    <add name="SQLServerReport" connectionString="Data Source=BOSDEMSVR008;Initial Catalog=FocusDev;User ID=FocusAgent;Password=M4rth44g3nt;Application Name=Report" />
    <!--
    <add name="SQLServerDataCore" connectionString="Data Source=10.0.1.239;Initial Catalog=FocusStage0304WF;User ID=FocusAgent;Password=M4rth44g3nt" />
    <add name="SQLServerDataReporting" connectionString="Data Source=10.0.1.239;Initial Catalog=FocusStage0304WF;User ID=FocusAgent;Password=M4rth44g3nt" />
    <add name="SQLServerLog" connectionString="Data Source=10.0.1.239;Initial Catalog=FocusStage0304WF;User ID=FocusAgent;Password=M4rth44g3nt" />
    <add name="SQLServerConfiguration" connectionString="Data Source=10.0.1.239;Initial Catalog=FocusStage0304WF;User ID=FocusAgent;Password=M4rth44g3nt" />
    <add name="SQLServerLibrary" connectionString="Data Source=10.0.1.239;Initial Catalog=FocusStage0304WF;User ID=FocusAgent;Password=M4rth44g3nt" />
    <add name="SQLServerMessageBus" connectionString="Data Source=10.0.1.239;Initial Catalog=FocusStage0304WF;User ID=FocusAgent;Password=M4rth44g3nt;Application Name=MessageBus" />
    <add name="SQLServerReport" connectionString="Data Source=10.0.1.239;Initial Catalog=FocusStage0304WF;User ID=FocusAgent;Password=M4rth44g3nt;Application Name=Report" />
    -->
  </connectionStrings>
	<appSettings>
		<!-- Focus Configuration -->
		<add key="Focus-ClientTag" value="ABC123" />
		<add key="Focus-Module" value="Talent" /> <!-- Can be "Assist" or "Talent" -->
		<add key="Focus-Application" value="Focus - Local" />
		
	</appSettings>
	<system.net>
		<mailSettings>
			<smtp from="ukdev@aperture-control.com" deliveryMethod="Network">
				<network host="206.83.64.242" port="25" userName="ukdev@aperture-control.com" password="!uk@1208#bg$" enableSsl="false" />
			</smtp>
		</mailSettings>
	</system.net>
	<startup>
		<supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.0" />
	</startup>
	<system.serviceModel>
		<bindings>
			<!-- Needed for Client Service Client -->
			<basicHttpBinding>
				<binding name="BasicHttpBinding" closeTimeout="00:01:30" openTimeout="00:01:30" receiveTimeout="00:10:00" sendTimeout="00:01:30" allowCookies="false" bypassProxyOnLocal="false" hostNameComparisonMode="StrongWildcard" maxBufferSize="2147483647" maxBufferPoolSize="524288" maxReceivedMessageSize="2147483647" messageEncoding="Text" textEncoding="utf-8" transferMode="Buffered" useDefaultWebProxy="true">
					<readerQuotas maxDepth="64" maxStringContentLength="2147483647" maxArrayLength="2147483647" maxBytesPerRead="4096" maxNameTableCharCount="16384" />
					<security mode="None">
						<transport clientCredentialType="None" proxyCredentialType="None" realm="" />
						<message clientCredentialType="UserName" algorithmSuite="Default" />
					</security>
				</binding>
			</basicHttpBinding>
		</bindings>
		<!-- Needed for Client Service Client -->
		<client>
			<endpoint name="ClientServiceClient" address="http://localhost:6519/ClientService.svc" binding="basicHttpBinding" bindingConfiguration="BasicHttpBinding" contract="Integration.Client.IClientService" />
		</client>
	</system.serviceModel>
	<system.web>
		<membership defaultProvider="ClientAuthenticationMembershipProvider">
			<providers>
				<add name="ClientAuthenticationMembershipProvider" type="System.Web.ClientServices.Providers.ClientFormsAuthenticationMembershipProvider, System.Web.Extensions, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" serviceUri="" />
			</providers>
		</membership>
		<roleManager defaultProvider="ClientRoleProvider" enabled="true">
			<providers>
				<add name="ClientRoleProvider" type="System.Web.ClientServices.Providers.ClientRoleProvider, System.Web.Extensions, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" serviceUri="" cacheTimeout="86400" />
			</providers>
		</roleManager>
	</system.web>
</configuration>